Package twisted :: Package conch :: Package ui :: Module tkvt100

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ui.tkvt100

Module to emulate a VT100 terminal in Tkinter.

Maintainer: Paul Swartz <z3p@twistedmatrix.com>

Variable Summary
`tuple` | `colorKeys`
`dict` | `colorMap`
`NoneType` | `fontHeight`
`NoneType` | `fontWidth`
`FakeModule` | `tkFont`
`FakeModule` | `Tkinter`
`NoneType` | `ttyFont`

Variable Details

### colorKeys

  Type:
    `tuple`
  Value:

        ('b',
         'r',
         'g',
         'y',
         'l',
         'm',
         'c',
         'w',
        ...

### colorMap

  Type:
    `dict`
  Value:

        {'B': '#626262',
         'C': '#00ffff',
         'G': '#00ff00',
         'L': '#0000ff',
         'M': '#ff00ff',
         'R': '#ff0000',
         'W': '#ffffff',
         'Y': '#ffff00',
        ...

### fontHeight

  Type:
    `NoneType`
  Value:

        None

### fontWidth

  Type:
    `NoneType`
  Value:

        None

### tkFont

  Type:
    `FakeModule`
  Value:

        <Fake tkFont>

### Tkinter

  Type:
    `FakeModule`
  Value:

        <Fake Tkinter>

### ttyFont

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:20 2003 | http://epydoc.sf.net